	//@overridden projects/remote-api/config/alfresco/templates/webscripts/org/alfresco/repository/person/people.get.js
	function main()
	{
		// Get the args
		var filter = args["filter"];
		var maxResults = args["maxResults"] != null ? parseInt(args["maxResults"]) : -1;
		var sortBy = args["sortBy"];
		var sortAsc = args["dir"] != "desc";
		var siteId = args["siteId"];
		var skipCount = args["startIndex"] != null ? parseInt(args["startIndex"]) : 0;
		var pageSize = args["pageSize"] != null ? parseInt(args["pageSize"]) : maxResults;
		// Get the sorted collection of people
		var showDeletedUsers = (headers["referer"] && headers["referer"].indexOf("console/admin-console/users") !== -1) ? true : false;
		people.setShowDeletedPersons(showDeletedUsers);
		var peopleCollection = people.getPeople(filter, pageSize, skipCount, sortBy, sortAsc);
		// Lyse customization only show users that exists in the site provided
		if (siteId != null){
		  for(var i=0;i< peopleCollection.length;) {
				// Remove from result if not in site.
				if (!siteHelper.isSiteMember(peopleCollection[i], siteId)){
					peopleCollection.splice(i, 1);
				} else {
				  i++;
				}
			}
		}
		if(siteId != null && args["filterObservers"])
		{
      peopleCollection = peopleCollection.filter(function(person)
      {
				return !siteHelper.isObserver(person,siteId);
      });
		}

		// Need to reset show deleted persons flag as it is active only for one operation
		people.setShowDeletedPersons(showDeletedUsers);
		var totalItems = showDeletedUsers ? people.getUsersCount(filter) : peopleCollection.length;
		// Pass the queried sites to the template
		model.maxItems = pageSize > 0 ? pageSize : peopleCollection.length;
		model.totalItems = totalItems;
		model.skipCount = skipCount;
		model.peoplelist = showDeletedUsers ? peopleCollection : peopleCollection.slice(skipCount, skipCount + (pageSize > 0 ? pageSize : peopleCollection.length));
	}
	
	main();