<#escape x as jsonUtils.encodeJSONString(x)>
{
  "data": [
      <#list records as record> 
      {
        "id" : "${record.id!}",
        "contract" : "${record.contract!}",
        "title1" : "${record.title1!}",
        "title4" : "${record.title4!}",
        "revno" : "${record.revno!}",
        "revdate" : "${record.revdate!}",
        "status" : "${record.status!}",
        "type" : "${record.type!}",
        "area" : "${record.area!}",
        "docno" : "${record.docno!}",
        "dueDate" : "${record.dueDate!}",
        "reviewDueDate" : "${record.reviewDueDate!}",
        "workflowTasks" :
        [
        <#list record.workflowTasks as workflowTask>
        	{
        		"id" : "${workflowTask.id!}",
        		"title" : "${workflowTask.title!}",
        		"isPooled" : "${workflowTask.isPooled!}",
        		"workflowId" : "${workflowTask.workflowId!}"
        	}
        	<#if workflowTask_has_next>,</#if>
     	</#list>
        ],
        "finalDoc" : "${record.finalDoc!}",
        "companyReviewResponsible" : "${record.reviewResponsible.fullName!}",
        "companyReviewers" : 
        [
        <#list record.companyReviewers as companyReviewer>
        	{
        		"fullName" :"${companyReviewer.fullName!}"
        	}
       		<#if companyReviewer_has_next>,</#if>
     	</#list>
        ],
        "interfaceReviewers" : 
        [
        <#list record.interfaceReviewers as interfaceReviewer>
        	{
        		"fullName" :"${interfaceReviewer.value!}"
        	}
       		<#if interfaceReviewer_has_next>,</#if>
     	</#list>
        ],
        "noderef" : "${record.nodeRef!}"
      }
      <#if record_has_next>,</#if>
      </#list>
    ]
}
</#escape>
