<#macro displayResults>
{
"results": [
  <#list result?keys as key>
  {
    <#list result[key]?keys as propName>
      "${propName?replace(":", "_")?js_string}":
      <#if result[key][propName]?has_content && result[key][propName]?is_number>
        <#-- If it is a number, don't format it to be "human readable" which is the default. We leave this up to the YUI data table instead. -->
        "${result[key][propName]?c}"
      <#else>
        "${result[key][propName]!""?js_string}"
      </#if>
      <#if propName_has_next>,</#if>
    </#list>
  }<#if key_has_next>,</#if>
  </#list>
]
}
</#macro>
<#macro displayCSVResults>
<#list csv_headings?keys as key>${message(csv_headings[key])}<#if key_has_next>;</#if></#list>
<#list result?keys as key>
	<#list csv_headings?keys as propName><#if message_keys??><#if message_keys[propName]??><#assign message_key = message_keys[propName]["prefix"] + result[key][propName] + message_keys[propName]["suffix"]>${message(message_key)}<#else>${result[key][propName]!""}</#if><#else>${result[key][propName]!""}</#if><#if propName_has_next>;</#if></#list>
</#list>
</#macro>