<#escape x as jsonUtils.encodeJSONString(x)>
[
    <#list data as item>
    {
        "workflowTasks":
        [
            <#list item.workflowTasks as workflowTask>
            {
            "id": "${workflowTask.id?js_string}",
            "name": "${workflowTask.name?js_string}",
            "title": "${workflowTask.title?js_string}",
            "description": "${workflowTask.description?js_string}",
            "isComplete": "${workflowTask.complete?string}",
            "isPooled": "${workflowTask.pooled?string}",
            "workflowId": "${workflowTask.workflowId!}" <#-- NOTE! This property is added by no.lyse.alfresco.repo.script.ScriptLyseWorkflowService.ExtendedJscriptWorkflowTask! -->
            }<#if workflowTask_has_next>,</#if>
            </#list>
        ],
        "responsibles":
        [
            <#if item.responsibles??>
                <#list item.responsibles as responsible>
                    {"name": "${responsible.label?js_string}"}<#if responsible_has_next>,</#if>
                </#list>
            </#if>
        ],
        "shareResponsibles":
        [
            <#if item.shareResponsibles??>
                <#list item.shareResponsibles as responsible>
                    {"name": "${responsible.label?js_string}"}<#if responsible_has_next>,</#if>
                </#list>
            </#if>
        ]
    }<#if item_has_next>,</#if>
    </#list>
]
</#escape>