
function dumpObjectToStringList(o){
  // Debug tool. Dumps an object with content to an array
  try{
    var type=typeof o;
  }
  catch(e){
    var r=dumpObjectToStringList(e);
    r.unshift("*** Dump Exception ***");
    return r;
  }

  var s=[];
  s.push("** Functions:");

  for (var k in o){
    try {
        if (typeof o[k] == 'function') s.push(k);
    }
      catch(e){
        // Nothing
    }
  }

  s.push("** Attributes:");
  var types={};
  for (var k in o){
    var type="unknown";
    try {
      type=typeof o[k];
    }
    catch(e){
      type="exception";
    }

    if (type != 'function'){
      if (typeof types[type]=="undefined"){
        types[type]=[];
      }
      var v='';
      // Check if value can be converted to string
      try { 
        // Throws typeError
        if (typeof o[k].toString == "function"){
          v=o[k].toString();
        }
      }
      catch(e){};
      types[type].push(k+" : "+v);
    }
  }
  for (var t in types){
    s.push("* "+t+":");
    for (var i=0;i<types[t].length;i++){
      s.push(types[t][i]);
    }
  }

  return s;
}
